Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
sqlCharts
/
code
Error
A valid request URL is required to generate request examples
{
  "results": {
    "offset": 123,
    "total": 123,
    "spaces": [
      {
        "slug": "<string>",
        "spaceName": "<string>"
      }
    ],
    "missingIds": [
      "<string>"
    ],
    "sqlCharts": [
      {
        "description": "<string>",
        "name": "<string>",
        "limit": 123,
        "slug": "<string>",
        "config": {
          "metadata": {
            "version": 123
          },
          "display": {
            "stack": true,
            "legend": {},
            "series": {},
            "yAxis": [
              {
                "position": "<string>",
                "label": "<string>"
              }
            ],
            "xAxis": {
              "dateFormat": "<string>",
              "label": "<string>"
            }
          },
          "fieldConfig": {
            "y": [
              {
                "reference": "<string>"
              }
            ],
            "stack": true,
            "sortBy": [
              {
                "reference": "<string>",
                "pivotValues": [
                  {
                    "value": "<string>",
                    "reference": "<string>"
                  }
                ],
                "nullsFirst": true
              }
            ],
            "groupBy": [
              {
                "reference": "<string>"
              }
            ],
            "x": {
              "reference": "<string>"
            }
          }
        },
        "sql": "<string>",
        "spaceSlug": "<string>",
        "version": 123,
        "downloadedAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-docs-sum-distinct-global-dedup.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

Query Parameters

ids
string[]
offset
number<double>

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok